Package org.jbpm.kie.services.impl.utils

## Class DefaultKieServiceConfigurator

- java.lang.Object
- - org.jbpm.kie.services.impl.utils.DefaultKieServiceConfigurator

- All Implemented Interfaces:
    `KieServiceConfigurator`

      public class DefaultKieServiceConfigurator
      extends Object
      implements KieServiceConfigurator

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected AdvanceRuntimeDataService` | `advanceRuntimeDataService` |
    `protected DefinitionService` | `bpmn2Service` |
    `protected DeploymentService` | `deploymentService` |
    `protected javax.persistence.EntityManagerFactory` | `emf` |
    `protected FormManagerService` | `formManagerService` |
    `protected org.kie.internal.identity.IdentityProvider` | `identityProvider` |
    `protected ProcessInstanceAdminService` | `processAdminService` |
    `protected ProcessService` | `processService` |
    `protected QueryService` | `queryService` |
    `protected RuntimeDataService` | `runtimeDataService` |
    `protected org.kie.api.task.UserGroupCallback` | `userGroupCallback` |
    `protected UserTaskService` | `userTaskService` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultKieServiceConfigurator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the configurator.
    `void` | `configureServices​(String puName, org.kie.internal.identity.IdentityProvider identityProvider, org.kie.api.task.UserGroupCallback userGroupCallback)` | Configures a new kie service.
    `DeploymentUnit` | `createDeploymentUnit​(String groupId, String artifactid, String version)` | Created a new deployment unit
    `AdvanceRuntimeDataService` | `getAdvanceVariableDataService()` | Return related data regarding variables (case, process, task)
    `DefinitionService` | `getBpmn2Service()` | Returns the definition service.
    `DeploymentService` | `getDeploymentService()` | Returns the deployment service.
    `javax.persistence.EntityManagerFactory` | `getEmf()` |
    `FormManagerService` | `getFormManagerService()` |
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()` | Returns the identity provider.
    `ProcessInstanceAdminService` | `getProcessAdminService()` | Returns the process instance admin service
    `ProcessService` | `getProcessService()` | Returns the process service.
    `QueryService` | `getQueryService()` | Returns the query service
    `RuntimeDataService` | `getRuntimeDataService()` | Returns the runtime data service.
    `org.kie.api.task.UserGroupCallback` | `getUserGroupCallback()` | Returns the user group callback.
    `UserTaskService` | `getUserTaskService()` | Returns the user task service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### emf

          protected javax.persistence.EntityManagerFactory emf

    - #### deploymentService

          protected DeploymentService deploymentService

    - #### bpmn2Service

          protected DefinitionService bpmn2Service

    - #### runtimeDataService

          protected RuntimeDataService runtimeDataService

    - #### advanceRuntimeDataService

          protected AdvanceRuntimeDataService advanceRuntimeDataService

    - #### processService

          protected ProcessService processService

    - #### userTaskService

          protected UserTaskService userTaskService

    - #### queryService

          protected QueryService queryService

    - #### processAdminService

          protected ProcessInstanceAdminService processAdminService

    - #### identityProvider

          protected org.kie.internal.identity.IdentityProvider identityProvider

    - #### userGroupCallback

          protected org.kie.api.task.UserGroupCallback userGroupCallback

    - #### formManagerService

          protected FormManagerService formManagerService

  - ### Constructor Detail

    - #### DefaultKieServiceConfigurator

          public DefaultKieServiceConfigurator()

  - ### Method Detail

    - #### configureServices

          public void configureServices​(String puName,
                                        org.kie.internal.identity.IdentityProvider identityProvider,
                                        org.kie.api.task.UserGroupCallback userGroupCallback)

      Description copied from interface: `KieServiceConfigurator`
      Configures a new kie service.
      Specified by:
        `configureServices` in interface `KieServiceConfigurator`

    - #### createDeploymentUnit

          public DeploymentUnit createDeploymentUnit​(String groupId,
                                                     String artifactid,
                                                     String version)

      Description copied from interface: `KieServiceConfigurator`
      Created a new deployment unit
      Specified by:
        `createDeploymentUnit` in interface `KieServiceConfigurator`
      Returns:

    - #### close

          public void close()

      Description copied from interface: `KieServiceConfigurator`
      Closes the configurator.
      Specified by:
        `close` in interface `KieServiceConfigurator`

    - #### getEmf

          public javax.persistence.EntityManagerFactory getEmf()

    - #### getDeploymentService

          public DeploymentService getDeploymentService()

      Description copied from interface: `KieServiceConfigurator`
      Returns the deployment service.
      Specified by:
        `getDeploymentService` in interface `KieServiceConfigurator`
      Returns:

    - #### getBpmn2Service

          public DefinitionService getBpmn2Service()

      Description copied from interface: `KieServiceConfigurator`
      Returns the definition service.
      Specified by:
        `getBpmn2Service` in interface `KieServiceConfigurator`
      Returns:

    - #### getRuntimeDataService

          public RuntimeDataService getRuntimeDataService()

      Description copied from interface: `KieServiceConfigurator`
      Returns the runtime data service.
      Specified by:
        `getRuntimeDataService` in interface `KieServiceConfigurator`
      Returns:

    - #### getProcessService

          public ProcessService getProcessService()

      Description copied from interface: `KieServiceConfigurator`
      Returns the process service.
      Specified by:
        `getProcessService` in interface `KieServiceConfigurator`
      Returns:

    - #### getUserTaskService

          public UserTaskService getUserTaskService()

      Description copied from interface: `KieServiceConfigurator`
      Returns the user task service.
      Specified by:
        `getUserTaskService` in interface `KieServiceConfigurator`
      Returns:

    - #### getQueryService

          public QueryService getQueryService()

      Description copied from interface: `KieServiceConfigurator`
      Returns the query service
      Specified by:
        `getQueryService` in interface `KieServiceConfigurator`
      Returns:

    - #### getIdentityProvider

          public org.kie.internal.identity.IdentityProvider getIdentityProvider()

      Description copied from interface: `KieServiceConfigurator`
      Returns the identity provider.
      Specified by:
        `getIdentityProvider` in interface `KieServiceConfigurator`
      Returns:

    - #### getUserGroupCallback

          public org.kie.api.task.UserGroupCallback getUserGroupCallback()

      Description copied from interface: `KieServiceConfigurator`
      Returns the user group callback.
      Specified by:
        `getUserGroupCallback` in interface `KieServiceConfigurator`
      Returns:

    - #### getProcessAdminService

          public ProcessInstanceAdminService getProcessAdminService()

      Description copied from interface: `KieServiceConfigurator`
      Returns the process instance admin service
      Specified by:
        `getProcessAdminService` in interface `KieServiceConfigurator`
      Returns:

    - #### getFormManagerService

          public FormManagerService getFormManagerService()

    - #### getAdvanceVariableDataService

          public AdvanceRuntimeDataService getAdvanceVariableDataService()

      Description copied from interface: `KieServiceConfigurator`
      Return related data regarding variables (case, process, task)
      Specified by:
        `getAdvanceVariableDataService` in interface `KieServiceConfigurator`
      Returns: